//!	Pin11.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin11_h_
#define _Pin11_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogOutput.h"


//--------------------------- class definition ----------------------
class CPin11 :
        public CArduino_DigitalInput<11>,
        public CArduino_DigitalOutput<11>,
        public CArduino_AnalogOutput<11,255>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin11);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }

    // operator = ---------------------------------------------------
    inline void operator = (const unsigned int nValue)
    {
        writeAnalog(nValue);
    }
};


static CPin11 Pin11;

#endif
