//!	Pin2.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin2_h_
#define _Pin2_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"


//--------------------------- class definition ----------------------
class CPin2 :
        public CArduino_DigitalInput<2>,
        public CArduino_DigitalOutput<2>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin2);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPin2 Pin2;

#endif
