//!	Pin5.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin5_h_
#define _Pin5_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogOutput.h"


//--------------------------- class definition ----------------------
class CPin5 :
        public CArduino_DigitalInput<5>,
        public CArduino_DigitalOutput<5>,
        public CArduino_AnalogOutput<5,255>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin5);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }

    // operator = ---------------------------------------------------
    inline void operator = (const unsigned int nValue)
    {
        writeAnalog(nValue);
    }
};


static CPin5 Pin5;

#endif
