//!	Pin7.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin7_h_
#define _Pin7_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"


//--------------------------- class definition ----------------------
class CPin7 :
        public CArduino_DigitalInput<7>,
        public CArduino_DigitalOutput<7>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin7);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPin7 Pin7;

#endif
