//!	PinA2.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA2_h_
#define _PinA2_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA2 :
        public CArduino_DigitalInput<16>,
        public CArduino_DigitalOutput<16>,
        public CArduino_AnalogInput<2,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA2);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA2 PinA2;

#endif
