//!	Pin9.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin9_h_
#define _Pin9_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogOutput.h"


//--------------------------- class definition ----------------------
class CPin9 :
        public CArduino_DigitalInput<9>,
        public CArduino_DigitalOutput<9>,
        public CArduino_AnalogOutput<9,255>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin9);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }

    // operator = ---------------------------------------------------
    inline void operator = (const unsigned int nValue)
    {
        writeAnalog(nValue);
    }
};


static CPin9 Pin9;

#endif
